<div class="placement-history-client-search">
  <app-content-banner [isDashboard]="false" pageName="Client Placements"></app-content-banner>
  <mat-card class="phcs-main-card mat-elevation-z0">
    <mat-card-header>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Client Search</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
              <form [formGroup]="clientSearchGroup">
                <p class="required-label-color info">Please enter the following information and click search in order to proceed.</p>
                <section class="form-section regular-mat-form-field" fxLayout="column">
                  <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">Client First Name: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput formControlName="firstNameCtrl">
                      </mat-form-field>
                    </div>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">Client Last Name: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput formControlName="lastNameCtrl">
                      </mat-form-field>
                    </div>
                  </div>
                  <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">SSN: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput formControlName="ssnCtrl" mask="000-00-0000" required [showMaskTyped]="true">
                      </mat-form-field>
                    </div>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">DOB: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput [matDatepicker]="dobPicker" formControlName="dobCtrl" dateOnly
                          placeholder="MM/DD/YYYY" required>
                        <mat-datepicker-toggle matSuffix [for]="dobPicker"></mat-datepicker-toggle>
                        <mat-datepicker #dobPicker></mat-datepicker>
                      </mat-form-field>
                    </div>
                  </div>
                  <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">Gender: </mat-label>
                      <mat-form-field appearance="outline">
                        <mat-select formControlName="genderCtrl">
                          <mat-option [value]="0">Select One</mat-option>
                          <mat-option *ngFor="let gender of genders" [value]="gender.refGroupDetailID">
                            {{ gender.refGroupDetailDescription }}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>
                    </div>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">CIN: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput formControlName="cinCtrl">
                      </mat-form-field>
                    </div>
                  </div>
                  <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">HRA ID: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput digitOnly formControlName="hraIDCtrl" autocomplete="off">
                      </mat-form-field>
                    </div>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">Source System: </mat-label>
                      <mat-form-field appearance="outline">
                        <mat-select formControlName="sourceSystemCtrl">
                          <mat-option [value]="0">Select One</mat-option>
                          <mat-option *ngFor="let src of sourceSystems" [value]="src.refGroupDetailID">
                            {{ src.refGroupDetailDescription }}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>
                    </div>
                  </div>
                  <div fxLayout="row" fxLayout.lt-md="column" fxFlex=100>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">Referral Date From: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput [matDatepicker]="referralDateFromPicker" formControlName="referralDateFromCtrl"
                          dateOnly placeholder="MM/DD/YYYY" required>
                        <mat-datepicker-toggle matSuffix [for]="referralDateFromPicker"></mat-datepicker-toggle>
                        <mat-datepicker #referralDateFromPicker></mat-datepicker>
                      </mat-form-field>
                    </div>
                    <div fxLayout="row" fxLayoutGap="10px" fxFlex=50 fxFlex.lt-md=100>
                      <mat-label class="blue-label">Referral Date To: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput [matDatepicker]="referralDateToPicker" formControlName="referralDateToCtrl"
                          dateOnly placeholder="MM/DD/YYYY" required>
                        <mat-datepicker-toggle matSuffix [for]="referralDateToPicker"></mat-datepicker-toggle>
                        <mat-datepicker #referralDateToPicker></mat-datepicker>
                      </mat-form-field>
                    </div>
                  </div>
                  <div class="btn-section" fxLayout="row">
                    <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="start">
                      <button type="button" mat-raised-button (click)="onClearClick()" color="warn">Clear</button>
                    </span>
                    <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
                      <button type="button" mat-raised-button (click)="onSearchClick()" color="primary">Search</button>
                      <!-- <button type="button" mat-raised-button (click)="onClearClick()" color="warn">Clear</button> -->
                      <button type="button" mat-raised-button (click)="onExitClick()" color="primary">Exit</button>
                    </span>
                  </div>
                </section>
                <section *ngIf="csrRowData.length > 0" class="example-container">
                  <p class="search-results">Search Results:</p>
                  <ag-grid-angular #csrAgGrid id="csrGrid" style="width: 100%" class="ag-theme-balham my-grid"
                    [columnDefs]="csrColumnDefs" [defaultColDef]="defaultColDef" [rowData]="csrRowData"
                    [context]="context" [animateRows]="true" [gridOptions]="csrGridOptions"
                    [pagination]="true" [paginationPageSize]="5" [frameworkComponents]="frameworkComponents"
                    (gridReady)="onCSRGridReady($event)">
                  </ag-grid-angular>
                </section>
              </form>
            </div>

          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>
